Subject: Re: [Bitcoin-development] Blocking uneconomical UTXO creation

From: Mike Hearn <[email-masked]>
Date: Mon, 11 Mar 2013 23:39:17 +0100

> Isn't there danger of an attack if UTXO is not stored in fast storage?

RAM is used as a database cache.

But regardless, what kind of attack are you thinking of? Using up all
available disk seeks by sending a node a lot of fake transactions that
connect to unspent outputs, but have invalid transactions? You'll get
yourself disconnected and the IP banned even with todays code.

It's much easier to hose a node by just asking it to send you the
block chain. Watch your own node when something is syncing the chain
from it. Ping times go through the roof because there's only one
network thread. If you're worried about DoS attacks on Bitcoin, it'd
be better to fix that first.